Create list - Fabric

Create list

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/list/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Wishlist",
  "userId": null,
  "listId": "5349b4ddd2781d08c09890f4",
  "listType": "Wish list",
  "notes": "Add items to your wishlist to purchase later",
  "attributes": {
    "attr1": "value1",
    "attr2": "value2"
  },
  "count": 0,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/list/"

payload = {
    "name": "Wishlist",
    "userId": None,
    "listId": "5349b4ddd2781d08c09890f4",
    "listType": "Wish list",
    "notes": "Add items to your wishlist to purchase later",
    "attributes": {
        "attr1": "value1",
        "attr2": "value2"
    },
    "count": 0,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'Wishlist',
    userId: null,
    listId: '5349b4ddd2781d08c09890f4',
    listType: 'Wish list',
    notes: 'Add items to your wishlist to purchase later',
    attributes: {attr1: 'value1', attr2: 'value2'},
    count: 0,
    createdAt: '2023-11-07T05:31:56Z',
    updatedAt: '2023-11-07T05:31:56Z'
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/list/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/list/",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => 'Wishlist',
    'userId' => null,
    'listId' => '5349b4ddd2781d08c09890f4',
    'listType' => 'Wish list',
    'notes' => 'Add items to your wishlist to purchase later',
    'attributes' => [
        'attr1' => 'value1',
        'attr2' => 'value2'
    ],
    'count' => 0,
    'createdAt' => '2023-11-07T05:31:56Z',
    'updatedAt' => '2023-11-07T05:31:56Z'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/list/"

payload := strings.NewReader("{\n  \"name\": \"Wishlist\",\n  \"userId\": null,\n  \"listId\": \"5349b4ddd2781d08c09890f4\",\n  \"listType\": \"Wish list\",\n  \"notes\": \"Add items to your wishlist to purchase later\",\n  \"attributes\": {\n    \"attr1\": \"value1\",\n    \"attr2\": \"value2\"\n  },\n  \"count\": 0,\n  \"createdAt\": \"2023-11-07T05:31:56Z\",\n  \"updatedAt\": \"2023-11-07T05:31:56Z\"}\n")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java

HttpResponse<String> response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/list/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Wishlist\",\n  \"userId\": null,\n  \"listId\": \"5349b4ddd2781d08c09890f4\",\n  \"listType\": \"Wish list\",\n  \"notes\": \"Add items to your wishlist to purchase later\",\n  \"attributes\": {\n    \"attr1\": \"value1\",\n    \"attr2\": \"value2\"\n  },\n  \"count\": 0,\n  \"createdAt\": \"2023-11-07T05:31:56Z\",\n  \"updatedAt\": \"2023-11-07T05:31:56Z\"}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://prod01.oms.fabric.inc/api/v2/list/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Wishlist\",\n  \"userId\": null,\n  \"listId\": \"5349b4ddd2781d08c09890f4\",\n  \"listType\": \"Wish list\",\n  \"notes\": \"Add items to your wishlist to purchase later\",\n  \"attributes\": {\n    \"attr1\": \"value1\",\n    \"attr2\": \"value2\"\n  },\n  \"count\": 0,\n  \"createdAt\": \"2023-11-07T05:31:56Z\",\n  \"updatedAt\": \"2023-11-07T05:31:56Z\"}"

response = http.request(request)
puts response.read_body

Response Codes

Example Response

{
  "name": "Wishlist",
  "userId": null,
  "listId": "5349b4ddd2781d08c09890f4",
  "listType": "Wish list",
  "notes": "Add items to your wishlist to purchase later",
  "attributes": {
    "attr1": "value1",
    "attr2": "value2"
  },
  "count": 0,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}